--
-- License plates specialization 
-- Script by Blacky_BPG
--
-- Version 1.3.1.0 D    14.01.2017    fixed light workability, fixed wrong event variable
-- Version 1.3.1.0 C    07.01.2017    fixed wrong variable
-- Version 1.3.1.0 B    07.01.2017    fixed active lights
-- Version 1.3.1.0 A    04.01.2017    
-- Version 1.3.1.0      04.01.2017    convert script to FS17
-- Version 1.2.2                      Added FS15 Compatibility, HUD by Marc85
-- Version 1.2.1                      fixed general random given plate
-- Version 1.2.0                      added new Overlays and state seal now selectable
-- Version 1.1.3                      fixed delete vehicle for reset
-- Version 1.1.2                      fixed reset plate problem in MP mode
-- Version 1.1.1                      added Austria license plate
-- Version 1.0.1                      fixed TypeDesc
-- Version 1.0.0                      initial version

-- A=65 , B=66 , C=67 , D=68 , E=69 , F=70 , G=71 , H=72, I=73 , J=74 , K=75 , L=76 , M=77 , N=78 , O=79 , P=80 , Q=81 , R=82 , S=83 , T=84 , U=85 , V=86 , W=87 , X=88 , Y=89 , Z=90
-- 0=48 , 1=49 , 2=50 , 3=51 , 4=52 , 5=53 , 6=54 , 7=55 , 8=56 , 9=57
-- =142 , =153 , =154

numberPlates = {};
numberPlates.modDir = g_currentModDirectory;

-- Default numberplates
numberPlates.defaults = {};
numberPlates.defaultsAustria = {};
-- table inserts for austria plates
table.insert(numberPlates.defaultsAustria, {seal=0, sign1Char="W", sign2Char=" ", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char=" "}) table.insert(numberPlates.defaultsAustria, {seal=1, sign1Char="B", sign2Char=" ", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=1, sign1Char="B", sign2Char="Z", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=1, sign1Char="D", sign2Char="O", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=1, sign1Char="F", sign2Char="K", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=2, sign1Char="I", sign2Char=" ", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=2, sign1Char="I", sign2Char="L", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=2, sign1Char="I", sign2Char="M", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=2, sign1Char="K", sign2Char="B", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=2, sign1Char="K", sign2Char="U", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=2, sign1Char="L", sign2Char="A", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=2, sign1Char="L", sign2Char="Z", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=2, sign1Char="R", sign2Char="E", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=2, sign1Char="S", sign2Char="Z", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=3, sign1Char="D", sign2Char="L", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=3, sign1Char="G", sign2Char=" ", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=3, sign1Char="G", sign2Char="B", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=3, sign1Char="G", sign2Char="U", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=3, sign1Char="L", sign2Char="B", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=3, sign1Char="L", sign2Char="E", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=3, sign1Char="L", sign2Char="I", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=3, sign1Char="L", sign2Char="N", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=3, sign1Char="M", sign2Char="U", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=3, sign1Char="V", sign2Char="O", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=3, sign1Char="W", sign2Char="Z", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=4, sign1Char="H", sign2Char="A", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=4, sign1Char="J", sign2Char="O", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=4, sign1Char="S", sign2Char=" ", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=4, sign1Char="S", sign2Char="L", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=4, sign1Char="T", sign2Char="A", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=4, sign1Char="Z", sign2Char="E", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="B", sign2Char="R", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="E", sign2Char="F", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="F", sign2Char="R", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="G", sign2Char="M", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="G", sign2Char="R", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="K", sign2Char="I", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="L", sign2Char=" ", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="L", sign2Char="L", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="P", sign2Char="E", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="R", sign2Char="I", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="R", sign2Char="O", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="S", sign2Char="D", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="S", sign2Char="E", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="S", sign2Char="R", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="U", sign2Char="U", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="V", sign2Char="B", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="W", sign2Char="E", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=5, sign1Char="W", sign2Char="L", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="A", sign2Char="M", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="B", sign2Char="L", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="B", sign2Char="N", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="G", sign2Char="D", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="G", sign2Char="F", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="H", sign2Char="L", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="H", sign2Char="O", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="K", sign2Char="O", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="K", sign2Char="R", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="K", sign2Char="S", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="L", sign2Char="F", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="M", sign2Char="D", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="M", sign2Char="E", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="M", sign2Char="I", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="N", sign2Char="K", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="P", sign2Char=" ", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="P", sign2Char="L", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="S", sign2Char="B", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="S", sign2Char="W", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="T", sign2Char="U", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="W", sign2Char="B", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="W", sign2Char="N", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="W", sign2Char="T", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="W", sign2Char="U", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="W", sign2Char="Y", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=6, sign1Char="Z", sign2Char="T", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=7, sign1Char="F", sign2Char="E", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=7, sign1Char="H", sign2Char="E", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=7, sign1Char="K", sign2Char=" ", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=7, sign1Char="K", sign2Char="L", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=7, sign1Char="S", sign2Char="P", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=7, sign1Char="S", sign2Char="V", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=7, sign1Char="V", sign2Char="I", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=7, sign1Char="V", sign2Char="K", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=7, sign1Char="V", sign2Char="L", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=7, sign1Char="W", sign2Char="O", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=8, sign1Char="E", sign2Char=" ", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=8, sign1Char="E", sign2Char="U", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=8, sign1Char="G", sign2Char="S", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=8, sign1Char="J", sign2Char="E", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=8, sign1Char="M", sign2Char="A", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=8, sign1Char="N", sign2Char="D", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=8, sign1Char="O", sign2Char="P", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"}) table.insert(numberPlates.defaultsAustria, {seal=8, sign1Char="O", sign2Char="W", sign3Char=string.char(math.random(49,57)), sign4Char=string.char(math.random(48,57)), sign5Char=string.char(math.random(48,57)), sign6Char=string.char(math.random(65,90)), sign7Char=string.char(math.random(65,90)), sign8Char="32"})
-- table inserts for german plates
table.insert(numberPlates.defaults, {seal=11, sign1Char="A", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="A", sign2Char="A", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="A", sign2Char="B", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0,  sign1Char="A", sign2Char="B", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8,  sign1Char="A", sign2Char="B", sign3Char="I", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="A", sign2Char="C", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2,  sign1Char="A", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="A", sign2Char="H", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="A", sign2Char="I", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="A", sign2Char="I", sign3Char="C", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3,  sign1Char="A", sign2Char="K", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6,  sign1Char="A", sign2Char="L", sign3Char="F", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="A", sign2Char="L", sign3Char="Z", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="A", sign2Char="M", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="A", sign2Char="N", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2,  sign1Char="A", sign2Char="N", sign3Char="A", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1,  sign1Char="A", sign2Char="N", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0,  sign1Char="A", sign2Char="P", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0,  sign1Char="A", sign2Char="P", sign3Char="D", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0,  sign1Char="A", sign2Char="R", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0,  sign1Char="A", sign2Char="R", sign3Char="T", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="A", sign2Char="S", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="A", sign2Char="S", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="A", sign2Char="S", sign3Char="Z", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="A", sign2Char="T", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="A", sign2Char="U", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="A", sign2Char="U", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="A", sign2Char="W", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="A", sign2Char="Z", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="A", sign2Char="Z", sign3Char="E", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=13, sign1Char="B", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="B", sign2Char="A", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="B", sign2Char="A", sign3Char="D", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="B", sign2Char="A", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="B", sign2Char="B", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="B", sign2Char="B", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="B", sign2Char="B", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="B", sign2Char="C", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="B", sign2Char="C", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="B", sign2Char="E", sign3Char="D", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="B", sign2Char="E", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="B", sign2Char="F", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="B", sign2Char="G", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="B", sign2Char="H", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="B", sign2Char="I", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="B", sign2Char="I", sign3Char="D", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="B", sign2Char="I", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="B", sign2Char="I", sign3Char="T", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="B", sign2Char="I", sign3Char="W", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="B", sign2Char="K", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="B", sign2Char="K", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="B", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="B", sign2Char="L", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="B", sign2Char="L", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="B", sign2Char="M", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="B", sign2Char="N", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="B", sign2Char="N", sign3Char="A", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="B", sign2Char="O", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="B", sign2Char="O", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="B", sign2Char="O", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="B", sign2Char="O", sign3Char="T", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="B", sign2Char="R", sign3Char="A", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="B", sign2Char="R", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="B", sign2Char="R", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="B", sign2Char="R", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="B", sign2Char="R", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="B", sign2Char="R", sign3Char="V", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="B", sign2Char="S", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="B", sign2Char="T", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="B", sign2Char="T", sign3Char="F", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="B", sign2Char="U", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="B", sign2Char="W", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="B", sign2Char="Y", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="B", sign2Char="Z", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="C", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="C", sign2Char="A", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="C", sign2Char="A", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="C", sign2Char="B", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="C", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="C", sign2Char="H", sign3Char="A", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="C", sign2Char="L", sign3Char="P", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="C", sign2Char="L", sign3Char="Z", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="C", sign2Char="O", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="C", sign2Char="O", sign3Char="C", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="C", sign2Char="O", sign3Char="E", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="C", sign2Char="U", sign3Char="X", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="C", sign2Char="W", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="D", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="D", sign2Char="A", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="D", sign2Char="A", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="D", sign2Char="A", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="D", sign2Char="A", sign3Char="U", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="D", sign2Char="B", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="D", sign2Char="D", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="D", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="D", sign2Char="E", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="D", sign2Char="E", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="D", sign2Char="G", sign3Char="F", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="D", sign2Char="H", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="D", sign2Char="I", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="D", sign2Char="I", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="D", sign2Char="I", sign3Char="Z", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="D", sign2Char="K", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="D", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="D", sign2Char="L", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="D", sign2Char="M", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="D", sign2Char="N", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="D", sign2Char="O", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="D", sign2Char="O", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="D", sign2Char="U", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="D", sign2Char="U", sign3Char="D", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="D", sign2Char="W", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="D", sign2Char="Z", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="E", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="E", sign2Char="A", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="E", sign2Char="B", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="E", sign2Char="B", sign3Char="E", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="E", sign2Char="B", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=9, sign1Char="E", sign2Char="C", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="E", sign2Char="D", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="E", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="E", sign2Char="F", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="E", sign2Char="G", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="E", sign2Char="I", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="E", sign2Char="I", sign3Char="C", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="E", sign2Char="I", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="E", sign2Char="I", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="E", sign2Char="I", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="E", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="E", sign2Char="M", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="E", sign2Char="M", sign3Char="D", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="E", sign2Char="M", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="E", sign2Char="N", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="E", sign2Char="R", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="E", sign2Char="R", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="E", sign2Char="R", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="E", sign2Char="R", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="E", sign2Char="R", sign3Char="Z", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="E", sign2Char="S", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="E", sign2Char="S", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="E", sign2Char="S", sign3Char="W", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="E", sign2Char="U", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="E", sign2Char="W", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="F", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="F", sign2Char="B", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="F", sign2Char="D", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="F", sign2Char="D", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="F", sign2Char="D", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="F", sign2Char="E", sign3Char="U", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="F", sign2Char="F", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="F", sign2Char="F", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="F", sign2Char="G", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="F", sign2Char="I", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="F", sign2Char="K", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=9, sign1Char="F", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="F", sign2Char="N", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="F", sign2Char="O", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="F", sign2Char="O", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="F", sign2Char="R", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="F", sign2Char="R", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="F", sign2Char="R", sign3Char="I", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="F", sign2Char="R", sign3Char="W", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="F", sign2Char="T", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="F", sign2Char="T", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="G", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="G", sign2Char="A", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="G", sign2Char="A", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="G", sign2Char="A", sign3Char="P", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="G", sign2Char="C", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="G", sign2Char="D", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="G", sign2Char="D", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="G", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="G", sign2Char="E", sign3Char="O", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="G", sign2Char="E", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="G", sign2Char="F", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="G", sign2Char="G", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="G", sign2Char="H", sign3Char="A", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="G", sign2Char="H", sign3Char="C", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="G", sign2Char="I", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="G", sign2Char="K", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="G", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="G", sign2Char="L", sign3Char="A", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="G", sign2Char="M", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="G", sign2Char="M", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="G", sign2Char="N", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="G", sign2Char="N", sign3Char="T", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="G", sign2Char="O", sign3Char="A", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="G", sign2Char="O", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="G", sign2Char="P", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="G", sign2Char="R", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="G", sign2Char="R", sign3Char="A", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="G", sign2Char="R", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="G", sign2Char="R", sign3Char="I", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="G", sign2Char="R", sign3Char="M", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="G", sign2Char="R", sign3Char="Z", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="G", sign2Char="S", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="G", sign2Char="T", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="G", sign2Char="T", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="G", sign2Char="U", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="G", sign2Char="U", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="G", sign2Char="V", sign3Char="M", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="G", sign2Char="W", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="G", sign2Char="Z", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="H", sign2Char="A", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="H", sign2Char="A", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="H", sign2Char="A", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="H", sign2Char="A", sign3Char="M", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="H", sign2Char="A", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=15, sign1Char="H", sign2Char="B", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="H", sign2Char="B", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="H", sign2Char="B", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="H", sign2Char="C", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="H", sign2Char="C", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="H", sign2Char="D", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="H", sign2Char="D", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="H", sign2Char="D", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="H", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="H", sign2Char="E", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="H", sign2Char="E", sign3Char="F", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=9, sign1Char="H", sign2Char="E", sign3Char="I", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="H", sign2Char="E", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="H", sign2Char="E", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="H", sign2Char="E", sign3Char="T", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="H", sign2Char="F", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="H", sign2Char="G", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="H", sign2Char="G", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="H", sign2Char="G", sign3Char="W", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=5, sign1Char="H", sign2Char="H", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="H", sign2Char="H", sign3Char="M", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="H", sign2Char="I", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="H", sign2Char="I", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="H", sign2Char="I", sign3Char="P", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="H", sign2Char="K", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=9, sign1Char="H", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="H", sign2Char="M", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="H", sign2Char="N", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="H", sign2Char="O", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="H", sign2Char="O", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="H", sign2Char="O", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=4, sign1Char="H", sign2Char="O", sign3Char="M", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="H", sign2Char="O", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="H", sign2Char="O", sign3Char="T", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="H", sign2Char="P", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="H", sign2Char="R", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="H", sign2Char="R", sign3Char="O", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="H", sign2Char="S", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="H", sign2Char="S", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="H", sign2Char="S", sign3Char="T", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="H", sign2Char="U", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="H", sign2Char="V", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="H", sign2Char="V", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="H", sign2Char="W", sign3Char="I", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="H", sign2Char="X", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="H", sign2Char="Y", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="H", sign2Char="Z", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=4, sign1Char="I", sign2Char="G", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="I", sign2Char="K", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="I", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="I", sign2Char="L", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="I", sign2Char="N", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=9, sign1Char="I", sign2Char="Z", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="J", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="J", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="J", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="K", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="K", sign2Char="A", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="K", sign2Char="B", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="K", sign2Char="C", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="K", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="K", sign2Char="E", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="K", sign2Char="E", sign3Char="M", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="K", sign2Char="F", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="K", sign2Char="G", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=9, sign1Char="K", sign2Char="I", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="K", sign2Char="I", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="K", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="K", sign2Char="L", sign3Char="E", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="K", sign2Char="L", sign3Char="Z", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="K", sign2Char="M", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="K", sign2Char="N", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="K", sign2Char="O", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="K", sign2Char="R", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="K", sign2Char="R", sign3Char="U", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="K", sign2Char="S", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="K", sign2Char="T", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="K", sign2Char="U", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="K", sign2Char="U", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="K", sign2Char="Y", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="K", sign2Char="Y", sign3Char="F", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="L", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="L", sign2Char="A", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="L", sign2Char="A", sign3Char="U", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="L", sign2Char="B", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="L", sign2Char="B", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="L", sign2Char="B", sign3Char="Z", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="L", sign2Char="D", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="L", sign2Char="D", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="L", sign2Char="D", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="L", sign2Char="E", sign3Char="O", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="L", sign2Char="E", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="L", sign2Char="E", sign3Char="V", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="L", sign2Char="G", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="L", sign2Char="I", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="L", sign2Char="I", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="L", sign2Char="I", sign3Char="F", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="L", sign2Char="I", sign3Char="P", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="L", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="L", sign2Char="M", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="L", sign2Char="O", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="L", sign2Char="P", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="L", sign2Char="R", sign3Char="O", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="L", sign2Char="S", sign3Char="A", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="L", sign2Char="S", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="L", sign2Char="S", sign3Char="Z", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="L", sign2Char="U", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="L", sign2Char="U", sign3Char="P", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="L", sign2Char="W", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="M", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="M", sign2Char="A", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="M", sign2Char="A", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="M", sign2Char="A", sign3Char="I", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="M", sign2Char="A", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="M", sign2Char="B", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="M", sign2Char="C", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="M", sign2Char="D", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="M", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="M", sign2Char="E", sign3Char="I", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="M", sign2Char="E", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="M", sign2Char="E", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="M", sign2Char="E", sign3Char="T", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="M", sign2Char="G", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="M", sign2Char="G", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="M", sign2Char="G", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="M", sign2Char="H", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="M", sign2Char="H", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="M", sign2Char="I", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="M", sign2Char="I", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="M", sign2Char="K", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="M", sign2Char="K", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="M", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="M", sign2Char="M", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="M", sign2Char="N", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="M", sign2Char="O", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="M", sign2Char="O", sign3Char="D", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="M", sign2Char="O", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="M", sign2Char="O", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="M", sign2Char="O", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="M", sign2Char="Q", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="M", sign2Char="R", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="M", sign2Char="S", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="M", sign2Char="S", sign3Char="E", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="M", sign2Char="S", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="M", sign2Char="S", sign3Char="P", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="M", sign2Char="S", sign3Char="T", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="M", sign2Char="T", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="M", sign2Char="T", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="M", sign2Char="V", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="M", sign2Char="W", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="M", sign2Char="Y", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="M", sign2Char="Y", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="M", sign2Char="Z", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=4, sign1Char="M", sign2Char="Z", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="N", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="N", sign2Char="A", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="N", sign2Char="B", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="N", sign2Char="D", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="N", sign2Char="D", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="N", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="N", sign2Char="E", sign3Char="A", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="N", sign2Char="E", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="N", sign2Char="E", sign3Char="C", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="N", sign2Char="E", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="N", sign2Char="E", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="N", sign2Char="E", sign3Char="W", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=9, sign1Char="N", sign2Char="F", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="N", sign2Char="H", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="N", sign2Char="I", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=4, sign1Char="N", sign2Char="K", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="N", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="N", sign2Char="M", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="N", sign2Char="M", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=9, sign1Char="N", sign2Char="M", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="N", sign2Char="O", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="N", sign2Char="O", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="N", sign2Char="O", sign3Char="M", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="N", sign2Char="O", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="N", sign2Char="P", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="N", sign2Char="R", sign3Char="W", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="N", sign2Char="U", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="N", sign2Char="V", sign3Char="P", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="N", sign2Char="W", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="N", sign2Char="W", sign3Char="M", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="N", sign2Char="Y", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="N", sign2Char="Z", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="O", sign2Char="A", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="O", sign2Char="A", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="O", sign2Char="B", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="O", sign2Char="B", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="O", sign2Char="C", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="O", sign2Char="C", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=9, sign1Char="O", sign2Char="D", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="O", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="O", sign2Char="F", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="O", sign2Char="G", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=9, sign1Char="O", sign2Char="H", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="O", sign2Char="H", sign3Char="A", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="O", sign2Char="H", sign3Char="V", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="O", sign2Char="H", sign3Char="Z", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="O", sign2Char="K", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="O", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="O", sign2Char="P", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="O", sign2Char="S", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="O", sign2Char="S", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="O", sign2Char="V", sign3Char="I", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="O", sign2Char="V", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="O", sign2Char="Z", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="P", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="P", sign2Char="A", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="P", sign2Char="A", sign3Char="F", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="P", sign2Char="A", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="P", sign2Char="A", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="P", sign2Char="B", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="P", sign2Char="C", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="P", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="P", sign2Char="E", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="P", sign2Char="F", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=9, sign1Char="P", sign2Char="I", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="P", sign2Char="I", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="P", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="P", sign2Char="M", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="P", sign2Char="N", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="P", sign2Char="R", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="P", sign2Char="S", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="P", sign2Char="W", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="Q", sign2Char="F", sign3Char="T", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="Q", sign2Char="L", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="R", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="R", sign2Char="A", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="R", sign2Char="C", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=9, sign1Char="R", sign2Char="D", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="R", sign2Char="D", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="R", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="R", sign2Char="E", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="R", sign2Char="E", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="R", sign2Char="G", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="R", sign2Char="H", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="R", sign2Char="I", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="R", sign2Char="I", sign3Char="D", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="R", sign2Char="I", sign3Char="E", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="R", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="R", sign2Char="M", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="R", sign2Char="O", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="R", sign2Char="O", sign3Char="D", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="R", sign2Char="O", sign3Char="F", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="R", sign2Char="O", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="R", sign2Char="O", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="R", sign2Char="O", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="R", sign2Char="O", sign3Char="T", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="R", sign2Char="O", sign3Char="W", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="R", sign2Char="P", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="R", sign2Char="P", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="R", sign2Char="S", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="R", sign2Char="S", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="R", sign2Char="T", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="R", sign2Char="U", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="R", sign2Char="V", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="R", sign2Char="W", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=9, sign1Char="R", sign2Char="Z", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="S", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="S", sign2Char="A", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="S", sign2Char="A", sign3Char="D", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=4, sign1Char="S", sign2Char="A", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="S", sign2Char="A", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="S", sign2Char="A", sign3Char="W", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=4, sign1Char="S", sign2Char="B", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="S", sign2Char="B", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="S", sign2Char="B", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="S", sign2Char="C", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="S", sign2Char="C", sign3Char="Z", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="S", sign2Char="D", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="S", sign2Char="D", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=9, sign1Char="S", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="S", sign2Char="E", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="S", sign2Char="E", sign3Char="E", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="S", sign2Char="E", sign3Char="F", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="S", sign2Char="E", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="S", sign2Char="F", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="S", sign2Char="F", sign3Char="T", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="S", sign2Char="G", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="S", sign2Char="G", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=9, sign1Char="S", sign2Char="H", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="S", sign2Char="H", sign3Char="A", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="S", sign2Char="H", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="S", sign2Char="H", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="S", sign2Char="H", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="S", sign2Char="I", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="S", sign2Char="I", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="S", sign2Char="I", sign3Char="M", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="S", sign2Char="K", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=9, sign1Char="S", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="S", sign2Char="L", sign3Char="E", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="S", sign2Char="L", sign3Char="F", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="S", sign2Char="L", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="S", sign2Char="L", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=4, sign1Char="S", sign2Char="L", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="S", sign2Char="L", sign3Char="Z", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="S", sign2Char="M", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="S", sign2Char="N", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="S", sign2Char="O", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="S", sign2Char="O", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="S", sign2Char="O", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="S", sign2Char="O", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="S", sign2Char="O", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="S", sign2Char="P", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="S", sign2Char="P", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="S", sign2Char="P", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="S", sign2Char="R", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="S", sign2Char="R", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="S", sign2Char="R", sign3Char="O", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="S", sign2Char="T", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="S", sign2Char="T", sign3Char="A", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="S", sign2Char="T", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="S", sign2Char="T", sign3Char="D", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="S", sign2Char="T", sign3Char="E", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="S", sign2Char="T", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="S", sign2Char="U", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="S", sign2Char="U", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="S", sign2Char="W", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="S", sign2Char="W", sign3Char="A", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="S", sign2Char="Z", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="S", sign2Char="Z", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="T", sign2Char="B", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="T", sign2Char="D", sign3Char="O", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="T", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="T", sign2Char="E", sign3Char="T", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="T", sign2Char="F", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="T", sign2Char="G", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="T", sign2Char="H", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="T", sign2Char="I", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="T", sign2Char="O", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="T", sign2Char="R", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="T", sign2Char="S", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="T", sign2Char="U", sign3Char="T", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="U", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="U", sign2Char="E", sign3Char="M", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="U", sign2Char="F", sign3Char="F", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="U", sign2Char="H", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="U", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="U", sign2Char="M", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="U", sign2Char="N", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="U", sign2Char="S", sign3Char="I", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="V", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="V", sign2Char="B", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="V", sign2Char="E", sign3Char="C", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="V", sign2Char="E", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="V", sign2Char="G", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="V", sign2Char="I", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="V", sign2Char="I", sign3Char="E", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=4, sign1Char="V", sign2Char="K", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="V", sign2Char="O", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="V", sign2Char="R", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="V", sign2Char="S", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="W", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="W", sign2Char="A", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="W", sign2Char="A", sign3Char="F", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="W", sign2Char="A", sign3Char="K", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="W", sign2Char="A", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="W", sign2Char="A", sign3Char="T", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="W", sign2Char="B", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="W", sign2Char="B", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="W", sign2Char="D", sign3Char="A", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="W", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="W", sign2Char="E", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="W", sign2Char="E", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="W", sign2Char="E", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="W", sign2Char="E", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="W", sign2Char="F", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="W", sign2Char="H", sign3Char="V", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="W", sign2Char="I", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="W", sign2Char="I", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="W", sign2Char="I", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=10, sign1Char="W", sign2Char="I", sign3Char="T", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="W", sign2Char="I", sign3Char="Z", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=7, sign1Char="W", sign2Char="K", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="W", sign2Char="L", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="W", sign2Char="L", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="W", sign2Char="M", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="W", sign2Char="M", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="W", sign2Char="N", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=4, sign1Char="W", sign2Char="N", sign3Char="D", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="W", sign2Char="O", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="W", sign2Char="O", sign3Char="B", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="W", sign2Char="O", sign3Char="H", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="W", sign2Char="O", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="W", sign2Char="O", sign3Char="S", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="W", sign2Char="R", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=1, sign1Char="W", sign2Char="R", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="W", sign2Char="S", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="W", sign2Char="S", sign3Char="F", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="W", sign2Char="S", sign3Char="T", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="W", sign2Char="S", sign3Char="W", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=14, sign1Char="W", sign2Char="T", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=6, sign1Char="W", sign2Char="T", sign3Char="M", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="W", sign2Char="U", sign3Char="G", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=11, sign1Char="W", sign2Char="U", sign3Char="N", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="W", sign2Char="U", sign3Char="R", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="W", sign2Char="W", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=12, sign1Char="W", sign2Char="Z", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="W", sign2Char="Z", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="Z", sign2Char=" ", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="Z", sign2Char="E", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="Z", sign2Char="E", sign3Char="L", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="Z", sign2Char="I", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=2, sign1Char="Z", sign2Char="P", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=0, sign1Char="Z", sign2Char="R", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=3, sign1Char="Z", sign2Char="W", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))}) table.insert(numberPlates.defaults, {seal=8, sign1Char="Z", sign2Char="Z", sign3Char=" ", sign4Char=string.char(math.random(65,90)), sign5Char=string.char(math.random(49,57)), sign6Char=string.char(math.random(48,57)), sign7Char=string.char(math.random(48,57)), sign8Char=string.char(math.random(48,57))})

function numberPlates.prerequisitesPresent(specializations)
    return true;
end;

function numberPlates:preLoad(savegame)
	self.setLightsTypesMask = Utils.prependedFunction(self.setLightsTypesMask, numberPlates.setLightsTypesMask);
end;

function numberPlates:load(savegame)
	local xmlFile = self.xmlFile;
	self.plates = {};
	self.plates.registered = false;
	self.plates.hasRegistered = false;
	self.plates.camFixed = nil;
	self.plates.canReset = false;
	self.plates.canResetTimer = 0;
	self.plates.keyOverrideActive = false;

	self.plates.interfaceActive = false;
	self.plates.sign1Char = 32;
	self.plates.sign2Char = 32;
	self.plates.sign3Char = 32;
	self.plates.sign4Char = 32;
	self.plates.sign5Char = 32;
	self.plates.sign6Char = 32;
	self.plates.sign7Char = 32;
	self.plates.sign8Char = 32;
	self.plates.signMinusChar = 32;
	self.plates.setRandom = false;

	self.plates.tuevChar = 0;
	self.plates.stateChar = 0;
	self.plates.isAustria = false;

	self.checkDuplicate = SpecializationUtil.callSpecializationsFunction("checkDuplicate");
	self.changeCarNumber = SpecializationUtil.callSpecializationsFunction("changeCarNumber");
	self.getRandomPlate = SpecializationUtil.callSpecializationsFunction("getRandomPlate");

	self.plates.interfaceImg = createImageOverlay(numberPlates.modDir.."shared/numberPlates_interface.dds");

	local i = 0;
	local platePath = string.format("vehicle.numberplates.plate(%d)",i);
	local plateFound = getXMLString(xmlFile, platePath .. "#index");
	if plateFound ~= nil then
		self.isSelectable = true;
		while true do
			local platePath = string.format("vehicle.numberplates.plate(%d)",i);
			local plateIndex = getXMLString(xmlFile, platePath .. "#index");
			if plateIndex == nil then
				break;
			end;
			local index = Utils.indexToObject(self.components, plateIndex);
			if index == nil or index == 0 then
				print(" Error: No plate index "..tostring(platePath).." found in vehicle "..tostring(self.name));
				break;
			end;
			self.plates[i+1] = {};
			self.plates[i+1].id = index;
			local plateId = getUserAttribute(index, "plateId");
			if plateId == nil then
				print(" Error: Plate index not assigned for plate "..tostring(i+1).." for vehicle "..tostring(self.name));
				break;
			end;
			local indexPlateId = Utils.indexToObject(index, plateId);
			if indexPlateId == nil or indexPlateId == 0 then
				print(" Error: PlateId index for plate "..tostring(i+1).." not found in vehicle "..tostring(self.name));
				break;
			end;
			self.plates[i+1].plateId = indexPlateId;

			local isAustria = Utils.getNoNil(getUserAttribute(index, "isAustria"),false);
			if isAustria ~= nil and isAustria then
				self.plates.interfaceImg = createImageOverlay(numberPlates.modDir.."script/numberPlates_InterfaceAustria.dds");
			end;
			self.plates[i+1].isAustria = isAustria;
			self.plates.isAustria = isAustria;

			local sealStateId = getUserAttribute(index, "sealStateId");
			if sealStateId == nil then
				print(" Error: State Seal index not assigned for plate "..tostring(i+1).." for vehicle "..tostring(self.name));
				break;
			end;
			local indexSealStateId = Utils.indexToObject(index, sealStateId);
			if indexSealStateId == nil or indexSealStateId == 0 then
				print(" Error: State Seal Id index for plate "..tostring(i+1).." not found in vehicle "..tostring(self.name));
				break;
			end;
			self.plates[i+1].stateId = indexSealStateId;

			if not self.plates[i+1].isAustria then
				local sealTuevId = getUserAttribute(index, "sealTuevId");
				if sealTuevId == nil then
					print(" Error: TUEV Seal index not assigned for plate "..tostring(i+1).." for vehicle "..tostring(self.name));
					break;
				end;
				local indexSealTuevId = Utils.indexToObject(index, sealTuevId);
				if indexSealTuevId == nil or indexSealTuevId == 0 then
					print(" Error: TUEV Seal Id index for plate "..tostring(i+1).." not found in vehicle "..tostring(self.name));
					break;
				end;
				self.plates[i+1].tuevId = indexSealTuevId;
			end;

			local sign1Id = getUserAttribute(index, "sign1Id");
			if sign1Id == nil then
				print(" Error: Sign1 index not assigned for plate "..tostring(i+1).." for vehicle "..tostring(self.name));
				break;
			end;
			local indexSign1Id = Utils.indexToObject(index, sign1Id);
			if indexSign1Id == nil or indexSign1Id == 0 then
				print(" Error: Sign1 Id index for plate "..tostring(i+1).." not found in vehicle "..tostring(self.name));
				break;
			end;
			self.plates[i+1].sign1 = indexSign1Id;

			local sign2Id = getUserAttribute(index, "sign2Id");
			if sign2Id == nil then
				print(" Error: Sign2 index not assigned for plate "..tostring(i+1).." for vehicle "..tostring(self.name));
				break;
			end;
			local indexsign2Id = Utils.indexToObject(index, sign2Id);
			if indexsign2Id == nil or indexsign2Id == 0 then
				print(" Error: Sign2 Id index for plate "..tostring(i+1).." not found in vehicle "..tostring(self.name));
				break;
			end;
			self.plates[i+1].sign2 = indexsign2Id;

			local sign3Id = getUserAttribute(index, "sign3Id");
			if sign3Id == nil then
				print(" Error: sign3 index not assign3ed for plate "..tostring(i+1).." for vehicle "..tostring(self.name));
				break;
			end;
			local indexsign3Id = Utils.indexToObject(index, sign3Id);
			if indexsign3Id == nil or indexsign3Id == 0 then
				print(" Error: sign3 Id index for plate "..tostring(i+1).." not found in vehicle "..tostring(self.name));
				break;
			end;
			self.plates[i+1].sign3 = indexsign3Id;

			local sign4Id = getUserAttribute(index, "sign4Id");
			if sign4Id == nil then
				print(" Error: sign4 index not assigned for plate "..tostring(i+1).." for vehicle "..tostring(self.name));
				break;
			end;
			local indexsign4Id = Utils.indexToObject(index, sign4Id);
			if indexsign4Id == nil or indexsign4Id == 0 then
				print(" Error: sign4 Id index for plate "..tostring(i+1).." not found in vehicle "..tostring(self.name));
				break;
			end;
			self.plates[i+1].sign4 = indexsign4Id;

			local sign5Id = getUserAttribute(index, "sign5Id");
			if sign5Id == nil then
				print(" Error: sign5 index not assigned for plate "..tostring(i+1).." for vehicle "..tostring(self.name));
				break;
			end;
			local indexsign5Id = Utils.indexToObject(index, sign5Id);
			if indexsign5Id == nil or indexsign5Id == 0 then
				print(" Error: sign5 Id index for plate "..tostring(i+1).." not found in vehicle "..tostring(self.name));
				break;
			end;
			self.plates[i+1].sign5 = indexsign5Id;

			local sign6Id = getUserAttribute(index, "sign6Id");
			if sign6Id == nil then
				print(" Error: sign6 index not assigned for plate "..tostring(i+1).." for vehicle "..tostring(self.name));
				break;
			end;
			local indexsign6Id = Utils.indexToObject(index, sign6Id);
			if indexsign6Id == nil or indexsign6Id == 0 then
				print(" Error: sign6 Id index for plate "..tostring(i+1).." not found in vehicle "..tostring(self.name));
				break;
			end;
			self.plates[i+1].sign6 = indexsign6Id;

			local sign7Id = getUserAttribute(index, "sign7Id");
			if sign7Id == nil then
				print(" Error: sign7 index not assigned for plate "..tostring(i+1).." for vehicle "..tostring(self.name));
				break;
			end;
			local indexsign7Id = Utils.indexToObject(index, sign7Id);
			if indexsign7Id == nil or indexsign7Id == 0 then
				print(" Error: sign7 Id index for plate "..tostring(i+1).." not found in vehicle "..tostring(self.name));
				break;
			end;
			self.plates[i+1].sign7 = indexsign7Id;

			if not self.plates[i+1].isAustria then
				local sign8Id = getUserAttribute(index, "sign8Id");
				if sign8Id == nil then
					print(" Error: sign8 index not assigned for plate "..tostring(i+1).." for vehicle "..tostring(self.name));
					break;
				end;
				local indexsign8Id = Utils.indexToObject(index, sign8Id);
				if indexsign8Id == nil or indexsign8Id == 0 then
					print(" Error: sign8 Id index for plate "..tostring(i+1).." not found in vehicle "..tostring(self.name));
					break;
				end;
				self.plates[i+1].sign8 = indexsign8Id;
			end;

			self.plates[i+1].hasLight = Utils.getNoNil(getUserAttribute(index, "hasLight"), false);
			self.plates[i+1].stateSealActive = Utils.getNoNil(getXMLBool(xmlFile, platePath .. "#stateSeal"), true);
			self.plates[i+1].tuevSealActive = Utils.getNoNil(getXMLBool(xmlFile, platePath .. "#tuevSeal"), true);

			local signMinusId = getUserAttribute(index, "signMinusId");
			local indexsignMinusId = nil;
			if signMinusId ~= nil then
				indexsignMinusId = Utils.indexToObject(index, signMinusId);
				if indexsignMinusId == nil or indexsignMinusId == 0 then
					indexsignMinusId = nil;
				end;
			end;
			self.plates[i+1].signMinus = indexsignMinusId;

			if self.plates[i+1].hasLight then
				local plateLightId = getUserAttribute(index, "plateLightId");
				local indexplateLightId = nil;
				if plateLightId ~= nil then
					indexplateLightId = Utils.indexToObject(index, plateLightId);
					if indexplateLightId == nil or indexplateLightId == 0 then
						indexplateLightId = nil;
					end;
				end;
				self.plates[i+1].plateIdLight = indexplateLightId;
			end;
			i=i+1
		end;
		
		if table.getn(self.plates) > 0 then
			for a=1, table.getn(self.plates) do
				setVisibility(self.plates[a].id, true);
				setVisibility(self.plates[a].plateId, false);
				setVisibility(self.plates[a].sign1, false);
				setVisibility(self.plates[a].sign2, false);
				setVisibility(self.plates[a].sign3, false);
				setVisibility(self.plates[a].sign4, false);
				setVisibility(self.plates[a].sign5, false);
				setVisibility(self.plates[a].sign6, false);
				setVisibility(self.plates[a].sign7, false);
				if self.plates[a].sign8 ~= nil then
					setVisibility(self.plates[a].sign8, false);
				end;
				setVisibility(self.plates[a].stateId, false);
				if self.plates[a].tuevId ~= nil then
					setVisibility(self.plates[a].tuevId, false);
				end;
				if self.plates[a].signMinus ~= nil then
					setVisibility(self.plates[a].signMinus, false);
				end;
				if self.plates[a].plateIdLight ~= nil then
					setVisibility(self.plates[a].plateIdLight, false);
				end;
			end;
		end;
		self.plateWarning = nil;
	end;
	if self.typeDesc == "TypeDescription" or self.typeDesc == nil then
		local name = getXMLString(xmlFile, "vehicle.name.de");
		name = Utils.getNoNil(name, getXMLString(xmlFile, "vehicle.name.en"));
		name = Utils.getNoNil(getXMLString(xmlFile, "vehicle.name"), name);
		name = Utils.getNoNil(name,getXMLString(xmlFile, "vehicle#type"));
		self.typeDesc = name;
	end;
end;

function numberPlates:update(dt)
	if self.plates.canResetTimer > 0 then
		self.plates.canResetTimer = self.plates.canResetTimer - 1;
	else
		if self.plates.canReset then
			self.plates.canReset = false;
		end;
	end;
	if self:getIsActive() then
		if self.plateWarning ~= nil then
			if not self:checkDuplicate() then
				self.plateWarning = nil;
			end;
		end;
		if self.plates.camFixed ~= nil and not self.plates.interfaceActive then
			self.plates.camFixed.isRotatable = true;
		end;
	end;
	if (self:getIsActiveForInput() or (self:getIsActive() and self.isSelected)) and (self.plates.canReset or self.plates.registered == false) then
		if InputBinding.hasEvent(InputBinding.vehicleLicense) then
			self.plates.keyOverrideActive = true;
		end;
		if self.plates.keyOverrideActive then
			self.plates.interfaceActive = not self.plates.interfaceActive;
			self.plates.keyOverrideActive = false;
			InputBinding.setShowMouseCursor(self.plates.interfaceActive);
			local currentCam = nil;
			if self.cameras ~= nil then
				currentCam = self.cameras[self.camIndex];
			else
				if self.attacherVehicle ~= nil then
					local atv = self.attacherVehicle;
					if atv.cameras ~= nil then
						currentCam = atv.cameras[atv.camIndex];
					else
						if atv.attacherVehicle ~= nil then
							local atv2 = atv.attacherVehicle;
							if atv2.cameras ~= nil then
								currentCam = atv2.cameras[atv2.camIndex];
							else
								if atv2.attacherVehicle ~= nil then
									local atv3 = atv2.attacherVehicle;
									if atv3.cameras ~= nil then
										currentCam = atv3.cameras[atv3.camIndex];
									end;
								end;
							end;
						end;
					end;
				end;
			end;
			if currentCam ~= nil then
				if self.plates.camFixed ~= nil and not self.plates.interfaceActive then
					self.plates.camFixed.isRotatable = true;
				elseif self.plates.interfaceActive then
					if currentCam.isRotatable then
						self.plates.camFixed = currentCam;
						currentCam.isRotatable = false;
					else
						self.plates.camFixed = nil;
					end;
				end;
			end;
		end;
	else
		if self.plates.interfaceActive then
			self.plates.interfaceActive = false;
			InputBinding.setShowMouseCursor(false);
		end;
	end;
end;

function numberPlates:setLightsTypesMask(lightsTypesMask, force, noEventSend)
	if lightsTypesMask ~= nil and self.plates.registered then
		if lightsTypesMask > 0 then
			if table.getn(self.plates) > 0 then
				for a=1, table.getn(self.plates) do
					if self.plates[a].hasLight then
						setVisibility(self.plates[a].plateId, false);
						if self.plates[a].plateIdLight ~= nil then
							setVisibility(self.plates[a].plateIdLight, true);
						end;
					end;
				end;
			end;
		else
			if table.getn(self.plates) > 0 then
				for a=1, table.getn(self.plates) do
					if self.plates[a].hasLight then
						setVisibility(self.plates[a].plateId, true);
						if self.plates[a].plateIdLight ~= nil then
							setVisibility(self.plates[a].plateIdLight, false);
						end;
					end;
				end;
			end;
		end;
	end;
end;

function numberPlates:updateTick(dt)
	if self.plates.registered and not self.plates.hasRegistered then
		self.plates.hasRegistered = true;
		if table.getn(self.plates) > 0 then
			for a=1, table.getn(self.plates) do
				setVisibility(self.plates[a].id, true);
				setVisibility(self.plates[a].plateId, true);
				setVisibility(self.plates[a].sign1, true);
				setVisibility(self.plates[a].sign2, true);
				setVisibility(self.plates[a].sign3, true);
				setVisibility(self.plates[a].sign4, true);
				setVisibility(self.plates[a].sign5, true);
				setVisibility(self.plates[a].sign6, true);
				setVisibility(self.plates[a].sign7, true);
				if self.plates[a].sign8 ~= nil then
					setVisibility(self.plates[a].sign8, true);
				end;
				if self.plates[a].signMinus ~= nil then
					setVisibility(self.plates[a].signMinus, true);
				end;
				if self.plates[a].plateIdLight ~= nil then
					setVisibility(self.plates[a].plateIdLight, false);
				end;
				setShaderParameter(self.plates[a].sign1, "TexturePosition", 0 - (getTexPos(self.plates.sign1Char) * 0.02417), 0, 0, 0, false);
				setShaderParameter(self.plates[a].sign2, "TexturePosition", 0 - (getTexPos(self.plates.sign2Char) * 0.02417), 0, 0, 0, false);
				setShaderParameter(self.plates[a].sign3, "TexturePosition", 0 - (getTexPos(self.plates.sign3Char) * 0.02417), 0, 0, 0, false);
				setShaderParameter(self.plates[a].sign4, "TexturePosition", 0 - (getTexPos(self.plates.sign4Char) * 0.02417), 0, 0, 0, false);
				setShaderParameter(self.plates[a].sign5, "TexturePosition", 0 - (getTexPos(self.plates.sign5Char) * 0.02417), 0, 0, 0, false);
				setShaderParameter(self.plates[a].sign6, "TexturePosition", 0 - (getTexPos(self.plates.sign6Char) * 0.02417), 0, 0, 0, false);
				setShaderParameter(self.plates[a].sign7, "TexturePosition", 0 - (getTexPos(self.plates.sign7Char) * 0.02417), 0, 0, 0, false);
				if self.plates[a].sign8 ~= nil then
					setShaderParameter(self.plates[a].sign8, "TexturePosition", 0 - (getTexPos(self.plates.sign8Char) * 0.02417), 0, 0, 0, false);
				end;
				if self.plates[a].stateSealActive then
					setShaderParameter(self.plates[a].stateId, "TexturePosition", 0 - (self.plates.stateChar * 0.0625), 0, 0, 0, false);
					setVisibility(self.plates[a].stateId, true);
				end;
				if self.plates[a].tuevSealActive and self.plates[a].tuevId ~= nil then
					setShaderParameter(self.plates[a].tuevId, "TexturePosition", 0 - (self.plates.tuevChar * 0.0625), 0, 0, 0, false);
					setVisibility(self.plates[a].tuevId, true);
				end;

				if self.plates[a].signMinus ~= nil then
					setShaderParameter(self.plates[a].signMinus, "TexturePosition", 0 - (26 * 0.02417), 0, 0, 0, false);
				end;
			end;
		end;
	else
		self:getRandomPlate();
	end;
end;

function numberPlates:getRandomPlate()
	if self.isClient and not self.plates.setRandom then
		local entry = nil;
		local rndPlate = nil;
		if self.plates.isAustria then
			if numberPlates.defaultsAustria ~= nil and table.getn(numberPlates.defaultsAustria) > 0 then
				rndPlate = math.random(1,table.getn(numberPlates.defaultsAustria));
				rndPlate = math.random(1,table.getn(numberPlates.defaultsAustria));
				rndPlate = math.random(1,table.getn(numberPlates.defaultsAustria));
				entry = numberPlates.defaultsAustria[rndPlate];
			end;
		else
			if numberPlates.defaults ~= nil and table.getn(numberPlates.defaults) > 0 then
				rndPlate = math.random(1,table.getn(numberPlates.defaults));
				rndPlate = math.random(1,table.getn(numberPlates.defaults));
				rndPlate = math.random(1,table.getn(numberPlates.defaults));
				entry = numberPlates.defaults[rndPlate];
			end;
		end;
		if rndPlate ~= nil and entry ~= nil then
			self.plates.sign1Char = string.byte(entry.sign1Char);
			self.plates.sign2Char = string.byte(entry.sign2Char);
			self.plates.sign3Char = string.byte(entry.sign3Char);
			self.plates.sign4Char = string.byte(entry.sign4Char);
			self.plates.sign5Char = string.byte(entry.sign5Char);
			self.plates.sign6Char = string.byte(entry.sign6Char);
			self.plates.sign7Char = string.byte(entry.sign7Char);
			self.plates.sign8Char = string.byte(entry.sign8Char);
			self.plates.stateChar = entry.seal;
		end;
		self.plates.setRandom = true;
	end;
end;

function numberPlates:draw()
	if (self:getIsActiveForInput() or (self:getIsActive() and self.isSelected)) then
		if self.plates.canReset or self.plates.registered == false then
			g_currentMission:addHelpButtonText(string.format(g_i18n:getText("input_vehicleLicense"),self.typeDesc), InputBinding.vehicleLicense);
		end;
		if self.plates.interfaceActive then
			if self.plates.interfaceImg ~= nil then
				renderOverlay(self.plates.interfaceImg, 0.273, 0.316, 0.454, 0.368);
				setTextColor(0, 0, 0, 1); --Schriftfarbe--
				setTextBold(false);

				setTextAlignment(RenderText.ALIGN_CENTER);
				setTextColor(1, 1, 1, 1);
				if self.plates.stateChar == 0 then if self.plates.isAustria then renderText(0.524, 0.568, 0.03, "WIEN") else renderText(0.524, 0.568, 0.03, "THUERINGEN") end elseif self.plates.stateChar == 1 then if self.plates.isAustria then renderText(0.524, 0.568, 0.03, "VORALBERG") else renderText(0.524, 0.568, 0.03, "MECKLENBURG VORPOMMERN") end elseif self.plates.stateChar == 2 then if self.plates.isAustria then renderText(0.524, 0.568, 0.03, "TIROL") else renderText(0.524, 0.568, 0.03, "SACHSEN") end elseif self.plates.stateChar == 3 then if self.plates.isAustria then renderText(0.524, 0.568, 0.03, "STEIERMARK") else renderText(0.524, 0.568, 0.03, "RHEINLAND PFALZ") end elseif self.plates.stateChar == 4 then if self.plates.isAustria then renderText(0.524, 0.568, 0.03, "SALZBURG") else renderText(0.524, 0.568, 0.03, "SAARLAND") end elseif self.plates.stateChar == 5 then if self.plates.isAustria then renderText(0.524, 0.568, 0.03, "OBEROESTERREICH") else renderText(0.524, 0.568, 0.03, "HAMBURG") end elseif self.plates.stateChar == 6 then if self.plates.isAustria then renderText(0.524, 0.568, 0.03, "NIEDEROESTERREICH") else renderText(0.524, 0.568, 0.03, "NIEDERSACHSEN") end elseif self.plates.stateChar == 7 then if self.plates.isAustria then renderText(0.524, 0.568, 0.03, "KAERNTEN") else renderText(0.524, 0.568, 0.03, "BRANDENBURG") end elseif self.plates.stateChar == 8 then if self.plates.isAustria then renderText(0.524, 0.568, 0.03, "BURGENLAND") else renderText(0.524, 0.568, 0.03, "SACHSEN-ANHALT") end elseif self.plates.stateChar == 9 and not self.plates.isAustria then renderText(0.524, 0.568, 0.03, "SCHLESWIG-HOLSTEIN") elseif self.plates.stateChar == 10 and not self.plates.isAustria then renderText(0.524, 0.568, 0.03, "NORDRHEIN-WESTFALEN") elseif self.plates.stateChar == 11 and not self.plates.isAustria then renderText(0.524, 0.568, 0.03, "BAYERN") elseif self.plates.stateChar == 12 and not self.plates.isAustria then renderText(0.524, 0.568, 0.03, "HESSEN") elseif self.plates.stateChar == 13 and not self.plates.isAustria then renderText(0.524, 0.568, 0.03, "BERLIN") elseif self.plates.stateChar == 14 and not self.plates.isAustria then renderText(0.524, 0.568, 0.03, "BADEN-WUERTEMBERG") elseif self.plates.stateChar == 15 and not self.plates.isAustria then renderText(0.524, 0.568, 0.03, "BREMEN") end
				setTextColor(0, 0, 0, 1);
				if self.plates.sign1Char == 142 or self.plates.sign1Char == 153 or self.plates.sign1Char == 154 then if self.plates.isAustria then renderText(0.3855, 0.47, 0.0795, g_i18n:getText("Char"..tostring(self.plates.sign1Char))) else renderText(0.345, 0.47, 0.0795, g_i18n:getText("Char"..tostring(self.plates.sign1Char))) end else if self.plates.isAustria then renderText(0.3855, 0.47, 0.0795, tostring(string.char(self.plates.sign1Char))) else renderText(0.345, 0.47, 0.0795, tostring(string.char(self.plates.sign1Char))) end end
				if self.plates.sign2Char == 142 or self.plates.sign2Char == 153 or self.plates.sign2Char == 154 then if self.plates.isAustria then renderText(0.425, 0.47, 0.0795, g_i18n:getText("Char"..tostring(self.plates.sign2Char))) else renderText(0.3855, 0.47, 0.0795, g_i18n:getText("Char"..tostring(self.plates.sign2Char))) end else if self.plates.isAustria then renderText(0.425, 0.47, 0.0795, tostring(string.char(self.plates.sign2Char))) else renderText(0.3855, 0.47, 0.0795, tostring(string.char(self.plates.sign2Char))) end end
				if self.plates.sign3Char == 142 or self.plates.sign3Char == 153 or self.plates.sign3Char == 154 then if self.plates.isAustria then renderText(0.5155, 0.47, 0.0795, g_i18n:getText("Char"..tostring(self.plates.sign3Char))) else renderText(0.425, 0.47, 0.0795, g_i18n:getText("Char"..tostring(self.plates.sign3Char))) end else if self.plates.isAustria then renderText(0.5155, 0.47, 0.0795, tostring(string.char(self.plates.sign3Char))) else renderText(0.425, 0.47, 0.0795, tostring(string.char(self.plates.sign3Char))) end end
				if self.plates.sign4Char == 142 or self.plates.sign4Char == 153 or self.plates.sign4Char == 154 then if self.plates.isAustria then renderText(0.5525, 0.47, 0.0795, g_i18n:getText("Char"..tostring(self.plates.sign4Char))) else renderText(0.5155, 0.47, 0.0795, g_i18n:getText("Char"..tostring(self.plates.sign4Char))) end else if self.plates.isAustria then renderText(0.5525, 0.47, 0.0795, tostring(string.char(self.plates.sign4Char))) else renderText(0.5155, 0.47, 0.0795, tostring(string.char(self.plates.sign4Char))) end end
				if self.plates.sign5Char == 142 or self.plates.sign5Char == 153 or self.plates.sign5Char == 154 then if self.plates.isAustria then renderText(0.5895, 0.47, 0.0795, g_i18n:getText("Char"..tostring(self.plates.sign5Char))) else renderText(0.5755, 0.47, 0.0795, g_i18n:getText("Char"..tostring(self.plates.sign5Char))) end else if self.plates.isAustria then renderText(0.5895, 0.47, 0.0795, tostring(string.char(self.plates.sign5Char))) else renderText(0.5755, 0.47, 0.0795, tostring(string.char(self.plates.sign5Char))) end end if self.plates.sign6Char == 142 or self.plates.sign6Char == 153 or self.plates.sign6Char == 154 then if self.plates.isAustria then renderText(0.65, 0.47, 0.0795, g_i18n:getText("Char"..tostring(self.plates.sign6Char))) else renderText(0.6125, 0.47, 0.0795, g_i18n:getText("Char"..tostring(self.plates.sign6Char))) end else if self.plates.isAustria then renderText(0.65, 0.47, 0.0795, tostring(string.char(self.plates.sign6Char))) else renderText(0.6125, 0.47, 0.0795, tostring(string.char(self.plates.sign6Char))) end end
				if self.plates.sign7Char == 142 or self.plates.sign7Char == 153 or self.plates.sign7Char == 154 then if self.plates.isAustria then renderText(0.6875, 0.47, 0.0795, g_i18n:getText("Char"..tostring(self.plates.sign7Char))) else renderText(0.65, 0.47, 0.0795, g_i18n:getText("Char"..tostring(self.plates.sign7Char))) end else if self.plates.isAustria then renderText(0.6875, 0.47, 0.0795, tostring(string.char(self.plates.sign7Char))) else renderText(0.65, 0.47, 0.0795, tostring(string.char(self.plates.sign7Char))) end end
				if not self.plates.isAustria then if self.plates.sign8Char == 142 or self.plates.sign8Char == 153 or self.plates.sign8Char == 154 then renderText(0.6875, 0.47, 0.0795, g_i18n:getText("Char"..tostring(self.plates.sign8Char))) else renderText(0.6875, 0.47, 0.0795, tostring(string.char(self.plates.sign8Char))) end end

				if self.plateWarning ~= nil then
					setTextAlignment(RenderText.ALIGN_CENTER);
					setTextColor(1, 0, 0, 1);
					renderText(0.5,0.275,0.035,string.format(g_i18n:getText("vehicleLicenseAllreadyTaken"),self.plateWarning));
				end;

				setTextAlignment(RenderText.ALIGN_LEFT);
				setTextColor(1, 1, 1, 1);
			end;
		end;
	end;
end;

function numberPlates:checkDuplicate()
	local plateFound = false;
	local glP = g_currentMission.numberPlates;
	for i=1, table.getn(glP) do
		if glP[i] ~= nil and glP[i].id ~= nil and g_currentMission.nodeToVehicle[glP[i].id] ~= nil then
			if glP[i].id ~= self.rootNode then
				if glP[i].sign1 == sign1 and glP[i].sign2 == sign2 and glP[i].sign3 == sign3 and glP[i].sign4 == sign4 and glP[i].sign5 == sign5 and glP[i].sign6 == sign6 and glP[i].sign7 == sign7 and glP[i].sign8 == sign8 then
					plateFound = true;
					self.plateWarning = glP[i].name;
				end;
			end;
		end;
	end;
	return plateFound;
end;

function numberPlates:changeCarNumber(registered,signState,signTuev,sign1,sign2,sign3,sign4,sign5,sign6,sign7,sign8,noEventSend,testString)
	self.plates.hasRegistered = false;
	if testString ~= nil and testString == "RESET" then
	else
		self.plates.canResetTimer = 0;
		self.plates.canReset = false;
	end;
	self.plateWarning = nil;
	if registered then
		self.plates.registered = true;
	else
		self.plates.registered = false;
	end;
	self.plates.sign1Char = sign1;
	self.plates.sign2Char = sign2;
	self.plates.sign3Char = sign3;
	self.plates.sign4Char = sign4;
	self.plates.sign5Char = sign5;
	self.plates.sign6Char = sign6;
	self.plates.sign7Char = sign7;
	self.plates.sign8Char = sign8;
	self.plates.stateChar = signState;
	self.plates.tuevChar = signTuev;

	if g_currentMission.numberPlates == nil then
		g_currentMission.numberPlates = {};
	end;
	local plateFound = self:checkDuplicate();
	if not plateFound then
		local newPlate = table.getn(g_currentMission.numberPlates) + 1;
		g_currentMission.numberPlates[newPlate] = {};
		g_currentMission.numberPlates[newPlate].id = self.rootNode;
		g_currentMission.numberPlates[newPlate].name = self.name;
		g_currentMission.numberPlates[newPlate].sign1 = sign1;
		g_currentMission.numberPlates[newPlate].sign2 = sign2;
		g_currentMission.numberPlates[newPlate].sign3 = sign3;
		g_currentMission.numberPlates[newPlate].sign4 = sign4;
		g_currentMission.numberPlates[newPlate].sign5 = sign5;
		g_currentMission.numberPlates[newPlate].sign6 = sign6;
		g_currentMission.numberPlates[newPlate].sign7 = sign7;
		g_currentMission.numberPlates[newPlate].sign8 = sign8;

		if g_server ~= nil and not self.plates.canReset then
			g_currentMission:addSharedMoney(-185, "vehicleRunningCost");
		end;
		if noEventSend == nil or noEventSend == false then
			if g_server ~= nil then
				g_server:broadcastEvent(numberPlatesEvent:new(self, registered, signState, signTuev, sign1, sign2, sign3, sign4, sign5, sign6, sign7, sign8), nil, nil, self);
			else
				g_client:getServerConnection():sendEvent(numberPlatesEvent:new(self, registered, signState, signTuev, sign1, sign2, sign3, sign4, sign5, sign6, sign7, sign8));
			end;
		end;
	else
		self.plates.hasRegistered = false;
		if not self.plates.canReset then
			self.plates.registered = false;
			self.plates.keyOverrideActive = true;
		end;
	end;
end;

function getTexPos(char)
	if char == 32 then
		char = -1;
	elseif char > 64 and char < 91 then
		char = char - 65;
	elseif char > 47 and char < 58 then
		char = char - 21;
	elseif char == 45 then
		char = 26;
	elseif char == 142 then
		char = 38;
	elseif char == 154 then
		char = 37;
	elseif char == 153 then
		char = 39;
	else
		char = -1;
	end;
	return char;
end;

function numberPlates:postLoad(savegame)
	if savegame ~= nil then
		self.plates.hasRegistered = false;
		self.plates.registered = false;
		self.plates.canReset = false;
		self.plates.keyOverrideActive = false;
		local strPlate = getXMLString(savegame.xmlFile, savegame.key.."#plateSigns");
		if strPlate ~= nil then
			local split =  Utils.splitString(";",strPlate);
			if split ~= nil and table.getn(split) > 2 then
				self.plates.stateChar = tonumber(split[1]);
				self.plates.tuevChar = tonumber(split[2]);
				self.plates.sign1Char = tonumber(split[3]);
				self.plates.sign2Char = tonumber(split[4]);
				self.plates.sign3Char = tonumber(split[5]);
				self.plates.sign4Char = tonumber(split[6]);
				self.plates.sign5Char = tonumber(split[7]);
				self.plates.sign6Char = tonumber(split[8]);
				self.plates.sign7Char = tonumber(split[9]);
				self.plates.sign8Char = tonumber(split[10]);
				self.plates.hasRegistered = false;
				self.plates.registered = true;
				self.plates.canReset = false;
				self.plates.canResetTimer = 0;
				self.plates.setRandom = true;
				local sendString = nil;
				if resetVehicles then
					sendString = "RESET";
					self.plates.canReset = true;
					self.plates.canResetTimer = 3000;
				end;
				self:changeCarNumber(self.plates.registered,self.plates.stateChar,self.plates.tuevChar,self.plates.sign1Char,self.plates.sign2Char,self.plates.sign3Char,self.plates.sign4Char,self.plates.sign5Char,self.plates.sign6Char,self.plates.sign7Char,self.plates.sign8Char,false,sendString);
			end;
		end;
	end;
end;

function numberPlates:getSaveAttributesAndNodes(nodeIdent)
	local attributes = '';
	if self.plates.registered and self.plates.hasRegistered then
		attributes = 'plateSigns="'..tostring(self.plates.stateChar)..';'..tostring(self.plates.tuevChar)..';'..tostring(self.plates.sign1Char)..';'..tostring(self.plates.sign2Char)..';'..tostring(self.plates.sign3Char)..';'..tostring(self.plates.sign4Char)..';'..tostring(self.plates.sign5Char)..';'..tostring(self.plates.sign6Char)..';'..tostring(self.plates.sign7Char)..';'..tostring(self.plates.sign8Char)..'"';
	end;
	local node = nil;
	return attributes, node;
end;

function numberPlates:readStream(streamId, connection)
	local registered = streamReadBool(streamId);
	local stateChar = streamReadInt16(streamId);
	local tuevChar = streamReadInt16(streamId);
	local sign1Char = streamReadInt16(streamId);
	local sign2Char = streamReadInt16(streamId);
	local sign3Char = streamReadInt16(streamId);
	local sign4Char = streamReadInt16(streamId);
	local sign5Char = streamReadInt16(streamId);
	local sign6Char = streamReadInt16(streamId);
	local sign7Char = streamReadInt16(streamId);
	local sign8Char = streamReadInt16(streamId);
	self:changeCarNumber(registered,stateChar,tuevChar,sign1Char,sign2Char,sign3Char,sign4Char,sign5Char,sign6Char,sign7Char,sign8Char,true,"ReadStream");
end;

function numberPlates:writeStream(streamId, connection)
	streamWriteBool(streamId, self.plates.registered);
	streamWriteInt16(streamId, self.plates.stateChar);
	streamWriteInt16(streamId, self.plates.tuevChar);
	streamWriteInt16(streamId, self.plates.sign1Char);
	streamWriteInt16(streamId, self.plates.sign2Char);
	streamWriteInt16(streamId, self.plates.sign3Char);
	streamWriteInt16(streamId, self.plates.sign4Char);
	streamWriteInt16(streamId, self.plates.sign5Char);
	streamWriteInt16(streamId, self.plates.sign6Char);
	streamWriteInt16(streamId, self.plates.sign7Char);
	streamWriteInt16(streamId, self.plates.sign8Char);
end;

function numberPlates:delete()
	local pPos = nil;
	if g_currentMission.numberPlates ~= nil then
		for i=1, table.getn(g_currentMission.numberPlates) do
			if g_currentMission.numberPlates[i] ~= nil and g_currentMission.numberPlates[i].id ~= nil and g_currentMission.numberPlates[i].id == self.rootNode then
				pPos = i;
			end;
		end;
		if pPos ~= nil then
			table.remove(g_currentMission.numberPlates,pPos);
		end;
	end;
end;

function numberPlates:mouseEvent(posX, posY, isDown, isUp, button)
	if self.plates.interfaceActive then
		InputBinding.setShowMouseCursor(true);
		if isUp then
			if posX > 0.276 and posX < 0.322 and posY > 0.615 and posY < 0.684 then
				self.plates.interfaceActive = false;
				InputBinding.setShowMouseCursor(false);
				if self.plates.camFixed ~= nil and not self.plates.interfaceActive then
					self.plates.camFixed.isRotatable = true;
				end;
				if not self.plates.registered then
					self.plates.setRandom = false;
					self:getRandomPlate();
				end;
			end;
			if posX > 0.274 and posX < 0.317 and posY > 0.317 and posY < 0.384 then
				self.plates.interfaceActive = false;
				InputBinding.setShowMouseCursor(false);
				if self.plates.camFixed ~= nil and not self.plates.interfaceActive then
					self.plates.camFixed.isRotatable = true;
				end;
				if not self.plates.isAustria then
					self.plates.tuevChar = math.random(0,11);
				end;
				self:changeCarNumber(true,self.plates.stateChar,self.plates.tuevChar,self.plates.sign1Char,self.plates.sign2Char,self.plates.sign3Char,self.plates.sign4Char,self.plates.sign5Char,self.plates.sign6Char,self.plates.sign7Char,self.plates.sign8Char,false,"MouseRegistrationOK");
			end;

			if posX > 0.459 and posX < 0.485 and posY > 0.461 and posY < 0.503 then self.plates.stateChar = self.plates.stateChar - 1 if self.plates.stateChar < 0 then if self.plates.isAustria then  self.plates.stateChar = 8 else self.plates.stateChar = 15 end end end
			if posX > 0.459 and posX < 0.485 and posY > 0.508 and posY < 0.549 then self.plates.stateChar = self.plates.stateChar + 1 if self.plates.stateChar > 15 then self.plates.stateChar = 0 elseif self.plates.stateChar > 8 and self.plates.isAustria then self.plates.stateChar = 0 end end
			if posY > 0.612 and posY < 0.684 then if posX > 0.327 and posX < 0.363 and not self.plates.isAustria then self.plates.sign1Char = getNextChar(self.plates.sign1Char,true) end if posX > 0.369 and posX < 0.402 then if not self.plates.isAustria then self.plates.sign2Char = getNextChar(self.plates.sign2Char,true) else self.plates.sign1Char = getNextChar(self.plates.sign1Char,true) end end if posX > 0.408 and posX < 0.442 then if not self.plates.isAustria then self.plates.sign3Char = getNextChar(self.plates.sign3Char,true) else self.plates.sign2Char = getNextChar(self.plates.sign2Char,true) end end if posX > 0.499 and posX < 0.532 then if not self.plates.isAustria then self.plates.sign4Char = getNextChar(self.plates.sign4Char,true) else self.plates.sign3Char = getNextChar(self.plates.sign3Char,true) end end if posX > 0.536 and posX < 0.569 and self.plates.isAustria then self.plates.sign4Char = getNextChar(self.plates.sign4Char,true) end if posX > 0.559 and posX < 0.592 and not self.plates.isAustria then self.plates.sign5Char = getNextChar(self.plates.sign5Char,true) end if posX > 0.573 and posX < 0.606 and self.plates.isAustria then self.plates.sign5Char = getNextChar(self.plates.sign5Char,true) end if posX > 0.596 and posX < 0.629 and not self.plates.isAustria then self.plates.sign6Char = getNextChar(self.plates.sign6Char,true) end if posX > 0.633 and posX < 0.667 then if not self.plates.isAustria then self.plates.sign7Char = getNextChar(self.plates.sign7Char,true) else self.plates.sign6Char = getNextChar(self.plates.sign6Char,true) end end if posX > 0.671 and posX < 0.704 then if not self.plates.isAustria then self.plates.sign8Char = getNextChar(self.plates.sign8Char,true) else self.plates.sign7Char = getNextChar(self.plates.sign7Char,true) end end end 
			if posY > 0.318 and posY < 0.390 then if posX > 0.327 and posX < 0.363 and not self.plates.isAustria then self.plates.sign1Char = getNextChar(self.plates.sign1Char) end if posX > 0.369 and posX < 0.402 then if not self.plates.isAustria then self.plates.sign2Char = getNextChar(self.plates.sign2Char) else self.plates.sign1Char = getNextChar(self.plates.sign1Char) end end if posX > 0.408 and posX < 0.442 then if not self.plates.isAustria then self.plates.sign3Char = getNextChar(self.plates.sign3Char) else self.plates.sign2Char = getNextChar(self.plates.sign2Char) end end if posX > 0.499 and posX < 0.532 then if not self.plates.isAustria then self.plates.sign4Char = getNextChar(self.plates.sign4Char) else self.plates.sign3Char = getNextChar(self.plates.sign3Char) end end if posX > 0.536 and posX < 0.569 and self.plates.isAustria then self.plates.sign4Char = getNextChar(self.plates.sign4Char) end if posX > 0.559 and posX < 0.592 and not self.plates.isAustria then self.plates.sign5Char = getNextChar(self.plates.sign5Char) end if posX > 0.573 and posX < 0.606 and self.plates.isAustria then self.plates.sign5Char = getNextChar(self.plates.sign5Char) end if posX > 0.596 and posX < 0.629 and not self.plates.isAustria then self.plates.sign6Char = getNextChar(self.plates.sign6Char) end if posX > 0.633 and posX < 0.667 then if not self.plates.isAustria then self.plates.sign7Char = getNextChar(self.plates.sign7Char) else self.plates.sign6Char = getNextChar(self.plates.sign6Char) end end if posX > 0.671 and posX < 0.704 then if not self.plates.isAustria then self.plates.sign8Char = getNextChar(self.plates.sign8Char) else self.plates.sign7Char = getNextChar(self.plates.sign7Char) end end end
		end;
	end;
end;

function getNextChar(target,up)
	if up ~= nil and up then
		if target == 32 then target = 90 elseif target == 86 then target = 154 elseif target == 154 then target = 85 elseif target == 80 then target = 153 elseif target == 153 then target = 79 elseif target == 66 then target = 142 elseif target == 142 then target = 65 elseif target == 65 then target = 57 elseif target == 48 then target = 32 else target = target - 1 end;
	else
		if target == 32 then target = 48 elseif target == 57 then target = 65 elseif target == 65 then target = 142 elseif target == 142 then target = 66 elseif target == 79 then target = 153 elseif target == 153 then target = 80 elseif target == 85 then target = 154 elseif target == 154 then target = 86 elseif target == 90 then target = 32 else target = target + 1 end;
	end;
	return target
end;

function numberPlates:keyEvent(unicode, sym, modifier, isDown)
end;

----------------------------------------------------------------------

numberPlatesEvent = {};
numberPlatesEvent_mt = Class(numberPlatesEvent, Event);

InitEventClass(numberPlatesEvent, "numberPlatesEvent");

function numberPlatesEvent:emptyNew()
    local self = Event:new(numberPlatesEvent_mt);
    self.className="numberPlatesEvent";
    return self;
end;

function numberPlatesEvent:new(vehicle, registered, signState, signTuev, sign1, sign2, sign3, sign4, sign5, sign6, sign7, sign8)
	local self = numberPlatesEvent:emptyNew()
	self.vehicle = vehicle;
	self.registered = registered;
	self.signState = signState;
	self.signTuev = signTuev;
	self.sign1 = sign1;
	self.sign2 = sign2;
	self.sign3 = sign3;
	self.sign4 = sign4;
	self.sign5 = sign5;
	self.sign6 = sign6;
	self.sign7 = sign7;
	self.sign8 = sign8;
	return self;
end;

function numberPlatesEvent:readStream(streamId, connection)
	self.vehicle = readNetworkNodeObject(streamId);
	self.registered = streamReadBool(streamId);
	self.signState = streamReadInt16(streamId);
	self.signTuev = streamReadInt16(streamId);
	self.sign1 = streamReadInt16(streamId);
	self.sign2 = streamReadInt16(streamId);
	self.sign3 = streamReadInt16(streamId);
	self.sign4 = streamReadInt16(streamId);
	self.sign5 = streamReadInt16(streamId);
	self.sign6 = streamReadInt16(streamId);
	self.sign7 = streamReadInt16(streamId);
	self.sign8 = streamReadInt16(streamId);
	self:run(connection);
end;

function numberPlatesEvent:writeStream(streamId, connection)
	writeNetworkNodeObject(streamId, self.vehicle);
	streamWriteBool(streamId, self.registered);
	streamWriteInt16(streamId, self.signState);
	streamWriteInt16(streamId, self.signTuev);
	streamWriteInt16(streamId, self.sign1);
	streamWriteInt16(streamId, self.sign2);
	streamWriteInt16(streamId, self.sign3);
	streamWriteInt16(streamId, self.sign4);
	streamWriteInt16(streamId, self.sign5);
	streamWriteInt16(streamId, self.sign6);
	streamWriteInt16(streamId, self.sign7);
	streamWriteInt16(streamId, self.sign8);
end;

function numberPlatesEvent:run(connection)
	if self.vehicle ~= nil then
		self.vehicle:changeCarNumber(self.registered, self.signState, self.signTuev, self.sign1, self.sign2, self.sign3, self.sign4, self.sign5, self.sign6, self.sign7, self.sign8, true,"EventRUN");
	end;
	if not connection:getIsServer() then
		g_server:broadcastEvent(numberPlatesEvent:new(self.vehicle, self.registered, self.signState, self.signTuev, self.sign1, self.sign2, self.sign3, self.sign4, self.sign5, self.sign6, self.sign7, self.sign8), nil, connection, self.vehicle);
	end;
end;

